## metromap-fremantle 0.1.3d-1

=== src/locale-old/Makefile ===
LANGS   := ru
LANGDIR := $(foreach lang, $(LANGS), $(subst ,/LC_MESSAGES/metromap.mo, $(lang)))
SOURCES = $(wildcard ../metromap.py ../modules/*.py)

all: $(LANGDIR)

%.mo: %.po
	@echo "Building $@" && msgfmt -v $< -o $@

%.po: metromap.pot
	@printf "Updating $@" && msgmerge --update $@ metromap.pot

clean:
	find -name '*.mo' -exec rm {} \;

metromap.pot: $(SOURCES)
	@echo "Finding new translations" && python ./pygettext.py -a -d metromap ../metromap.py ../modules/*.py

update-pot: metromap.pot

## metromap-fremantle 0.1.2b-2

=== debian/changelog ===
metromap-fremantle (0.1.2b-2) unstable; urgency=low

  * Updated package description

 -- Nikita Nalyutin <nnalutin@gmail.com>  Sun,  9 May 2010 16:37:59 +0400

metromap-fremantle (0.1.2b-1) unstable; urgency=low

  * Updated fullscreen mode
  * Changed context menu to be finger-friendly
  * Changed compact mode to be extra-fullscreen
  * Changed additional info selection menu (More ... button added)
  * Temporarily disabled transfer menu (to be enabled back in future versions)
  * Fixed fullscreen bugs
  * Replaced path combobox to hildon pick button

 -- Nikita Nalyutin <nnalutin@gmail.com>  Sun,  9 May 2010 16:37:59 +0400

=== debian/control ===
Source: metromap-fremantle
Section: user/navigation
Priority: extra
Maintainer: Nikita Nalyutin <nnalutin@gmail.com>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: metromap-fremantle
Architecture: all
Depends: python2.5 (>= 2.5.1-1osso5), python2.5-osso, python-hildon
Description: MetroMap displays and calculates best routes in metro of different cities 
 MetroMap-fremantle displays and calculates best routes in metro of the following cities:
 Moscow
 St. Petersburg
 Kiev
 London
 Berlin
 MetroMap-fremantle is based on PC version of MetroMap (http://metromap.antex.ru)
XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=340
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAACXBIWXMAAC4jAAAuIwF4pT92
 AAABJ2lDQ1BQaG90b3Nob3AgSUNDIHByb2ZpbGUAAHjarY69SsNQHEfPLUj9gOAQXXS4ooMO
 Cg4OGZO2FsGhRockW3MTikiTcHP9egHxIXwH3V2cRVEoOPsIgtLJwSFCBgcRPNP5n+HPDxqL
 btvrNGZhmBntdz0ZhJFsPjHBFHPMsNRXZeH2ersAWZ6l/GD8ggAYrbttr8PfmFaFNsAnsJKk
 pQIhgfTUFAbEJWDHR4UBcQXY+sBvgbgBrEHld4AVV/4MWDoIIxCvgD2o/AOw4yCMoDEJ2CY9
 MwCrak1uOo4j3SSPU7l/Xpp0WMqdTG1Q7al2tnIdH5Z+1+P/CcJIVva+hwDE/EPdatSxPvlW
 IR5/v+sf2oKtbWgmdetfwO09LIzqtuyB9QbX4y8jL0uhxp/wnQAAAARnQU1BAADY6/UcFKoA
 AAAgY0hSTQAAeiUAAICDAAD5/wAAdTAAAHFHAADqYAAAOpgAABdvXqCQEwAABjZJREFUeNq8
 lsuPZVUVxn9rP8591q1bt6puFVVdRTVv7NC8BBUUEaJEBQYSTYjpiM40/gn+C041jhhUHDkx
 JpAQHTAitBMI0nYHtQVT/aquW/dxzj2vfc7eDrpau6HbOOIk32Sffda3v72+tc6SEAKfx2N2
 rb3tO6ALaCABilvsaQALgAdiwN022OKjd39m8eU/n2PX2u7gsYe+Z3qd+/fffvfXwCennLtJ
 /q61w7Xnnvp5lWaHo3ffe/2Uc/tH65+Jqf6H2kE06L/S2do8ZbrtLx2d/kYSCzzY3tz4YbTU
 fxXY3LVWbhdM+SPd1xGUYtdaDWxJq/W4Wuyvd+489hqw9qlvV/oPPfCadDprHrnbtFsPf/ow
 NxFVIXAjvDEAC61j68/TavXScSLRsY0nlTWP71rbPFITodRDzePbzxdZZbyN2o2t9VeAlf+b
 KDl9VoD1xrGNl2pjW/GVA5yJ+q37jv8U2Di6nuHCiXt/Erq9wXw8phKtzHDlSeCeXWvNrYkI
 XEeILEBket2TemWwnc9TquDJ81Kp4crjeqHzNLCoWs1H7dbGNwpXm3SWMLu0T+FDz96x+iLQ
 uyWRC4Hr8NfcsqiW+y+knt7k8gHJLCY+nJCJ6uuN1R8BJxvHt07V3YXB9PJV5tOYZD6n1FFT
 D5dfBLZuZTJV+sB1+HfOCLBVd5vPzSZTM5tMiA/H5JUjd0HU5sYjeqH74+je48+mRW3m84Qk
 SahESPOCLLIb9BeeBpq3VXSkph26ra9k1g5mozHJZMJ0NCKZTJkejIh9WFQnH/jmXJulw0tX
 SOcppXMUZUkyjUnRXRa7LwHDzxRsybUabFzLzworS99NlFmYjA/IJlNiAvV8TkcrltPUdIfL
 m8XZv3N17yKZCA2taSlNs9NG2g2xS/3HosujExTlhRs7hXHeo7Smd/qcBo67pe7Deekkc46J
 rxmLBFFSZ94bf/EScZyQxzH7QK2kNgTpelQ7jonjmGzQXVzvdb5jrpangYP/5igE6qPacf3u
 86MqDEb7h9cCiqAjVZ7Qct42TDEDrkymTH2gtsrfp+XjhchMUxHiumYWx0yzopG17beOTCE3
 5agSAdis15ZfzrSJkjRl5j0x0DN6tp25N1atGuVGSAmMFTStjndy94dNrUbKKjyBEEXkznMV
 1sqGfQro/LcFRRF3vne+4SN7ctpubidZIU4pKqC2iqH3/9Ah/H61qN6KGqaslcJH2m/V/sPI
 h9/1y+qNZsO4XIQky5kmcyZBumm/84MbTaHu/8u/LLCZr/a/P/ahe7B/QBLPKQn0jZqvF/Wb
 wNnhvPjtipLR1Ap9raY7afkr4Ew/Ld9chFFGIPUeFwJpUcu40/wCcBJoA9r44eDbUvtn653t
 L2dxatIsJ3MOMYqBMG+EUAAVcK6Xu7dMZF+9o3BvN3x4FyiCiFrRJrncbRMfzpinGWVdEzVW
 Fod3rv+ifTBd9Nac1c88ceJPV1cHXz+/f7D08UfnmVYVhRJQgmuYTrPb7C/NyzeAKzZwQbSa
 3FNUr0eBj4Du4cbyzy4Oes+OxzM9855ECY6Ay3JdrS2vydrSVydWHjZ/PXMucTZa6iwuZNt3
 H6v8kVGU91S+srM4cYC/dOJYcceZvQ92mtFeO3eHFx5YzzfPXerElfMEXw03h24oytdHv+QQ
 vMqzTP1zf99T+bl5ZpS+ut+tnogr92hwtW2IeAAXgqqNGjfL+o/Avq8qpl87qa3SDx7MpqfJ
 MoB4KSt+Y0eHF0vndzQhCBI8gQyUiDoY5O70auY+NB/tDN4fu/r9uKrvrUR/UbxHgqC1wmi1
 127ad8qVTt2JIrLxeBhCWC7SbNsY/eHHdy2XO+dHH/xtsekyXT+SlR6AEqiUzBTy9suZmwMY
 I9AzCmCv8L5feGlqEawIDSVVW6uOVWrmq8pmed7N6nChDqHVJbStUukndy2bVuUbXrPnIiEE
 MCFgYe+F/WT+nxZkREBBR6sM+CTgFwhcK0CEmmC8D2R53kwqn8xrnxgRTB1ampBWIUQuhFnp
 Q6wBL9ASqSMllz49UmFEaGvQoka2lnkdggQIRkAjwYWgfAguwGUrghIE8C4EFaAWuNJQAogA
 wSqpf3n+6k3jmXxeA+S/BwBHyUQ8p26Q9QAAAABJRU5ErkJggg

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	
	# ======================================================
	
	mkdir -p "$(CURDIR)/debian/metromap-fremantle/"
	mkdir -p "$(CURDIR)/debian/metromap-fremantle/opt/metromap/"
	cp -a "src/metromap.py" "$(CURDIR)/debian/metromap-fremantle/opt/metromap/"
	mkdir -p "$(CURDIR)/debian/metromap-fremantle/opt/metromap/modules/"
	cp -a "src/modules/FindPath.py" "$(CURDIR)/debian/metromap-fremantle/opt/metromap/modules/"
	cp -a "src/modules/Interface.py" "$(CURDIR)/debian/metromap-fremantle/opt/metromap/modules/"
	cp -a "src/modules/MapDisplay.py" "$(CURDIR)/debian/metromap-fremantle/opt/metromap/modules/"
	cp -a "src/modules/ReadMap.py" "$(CURDIR)/debian/metromap-fremantle/opt/metromap/modules/"
	mkdir -p "$(CURDIR)/debian/metromap-fremantle/opt/metromap/locale/"
	cp -a "src/locale/metromap.pot" "$(CURDIR)/debian/metromap-fremantle/opt/metromap/locale/"
	cp -a "src/locale/pygettext.py" "$(CURDIR)/debian/metromap-fremantle/opt/metromap/locale/"
	mkdir -p "$(CURDIR)/debian/metromap-fremantle/opt/metromap/data/"
	cp -a "src/data/Moscow/" "$(CURDIR)/debian/metromap-fremantle/opt/metromap/data/"
	cp -a "src/data/Peterburg/" "$(CURDIR)/debian/metromap-fremantle/opt/metromap/data/"
	cp -a "src/data/Kiev/" "$(CURDIR)/debian/metromap-fremantle/opt/metromap/data/"
	cp -a "src/data/London/" "$(CURDIR)/debian/metromap-fremantle/opt/metromap/data/"
	cp -a "src/data/Berlin/" "$(CURDIR)/debian/metromap-fremantle/opt/metromap/data/"
	mkdir -p "$(CURDIR)/debian/metromap-fremantle/usr/share/icons/hicolor/26x26/hildon/"
	cp -a "src/hildon/hicolor/26x26/hildon/metromap.png" "$(CURDIR)/debian/metromap-fremantle/usr/share/icons/hicolor/26x26/hildon/"
	mkdir -p "$(CURDIR)/debian/metromap-fremantle/usr/share/icons/hicolor/40x40/hildon/"
	cp -a "src/hildon/hicolor/40x40/hildon/metromap.png" "$(CURDIR)/debian/metromap-fremantle/usr/share/icons/hicolor/40x40/hildon/"
	mkdir -p "$(CURDIR)/debian/metromap-fremantle/usr/share/icons/hicolor/scalable/hildon/"
	cp -a "src/hildon/hicolor/scalable/hildon/metromap.png" "$(CURDIR)/debian/metromap-fremantle/usr/share/icons/hicolor/scalable/hildon/"
	mkdir -p "$(CURDIR)/debian/metromap-fremantle/usr/share/applications/hildon/"
	cp -a "src/hildon/metromap.desktop" "$(CURDIR)/debian/metromap-fremantle/usr/share/applications/hildon/"
	cp -a "src/hildon/fullscr.png" "$(CURDIR)/debian/metromap-fremantle/opt/metromap/data/"
	cp -a "src/hildon/unfullscr.png" "$(CURDIR)/debian/metromap-fremantle/opt/metromap/data/"
    # ======================================================

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## metromap-fremantle 0.1.3b-1

=== debian/changelog ===
metromap-fremantle (0.1.3b-1) unstable; urgency=low

  * Fixed bugs:
  		[5790]	All pages in station info are now displayed
  		[5797]	Zoom is applied without application restart
 		[5798]	Maps of Koln, Dusseldorf, Madrid are loaded
 		
  * New features:
        [5800]	New pMetro map format now includes new vector station maps format
        [5842]	Maps are stored now at /home/user/MyDocs/MetroMap (N900/MetroMap from standard File Manager)

  * Known bugs:
        [5840]	Ellipses at station maps are drawn not very accurately

 -- Nikita Nalyutin <nnalutin@gmail.com>  Sun,  29 May 2010 21:56:03 +0400

metromap-fremantle (0.1.3-1) unstable; urgency=low

  * Added support for new maps format. Now maps in pmz format can be 
    used directly from http://pmetro.su/Maps.html

 -- Nikita Nalyutin <nnalutin@gmail.com>  Sun,  22 May 2010 16:37:59 +0400

metromap-fremantle (0.1.2c-1) unstable; urgency=low

  * Updated package pretty name

 -- Nikita Nalyutin <nnalutin@gmail.com>  Sun,  9 May 2010 16:37:59 +0400

=== debian/control ===
--- 
+++ 
@@ -8,15 +8,17 @@
 Package: metromap-fremantle
 Architecture: all
 Depends: python2.5 (>= 2.5.1-1osso5), python2.5-osso, python-hildon
+Replaces: metromap
 Description: MetroMap displays and calculates best routes in metro of different cities 
- MetroMap-fremantle displays and calculates best routes in metro of the following cities:
- Moscow
- St. Petersburg
- Kiev
- London
- Berlin
+ MetroMap-fremantle displays and calculates best routes in metro of more than 100 cities
+ over the world.
+ NB! First map load is slow, all subsequent loads are much faster
+ The following maps are included: Moscow, St. Petersburg, Kiev, London, Berlin, Paris, New York
+ More than 100 additional maps in pMetro format may be downloaded 
+ from http://pmetro.su/Maps.html and stored to /opt/metromap/data
  MetroMap-fremantle is based on PC version of MetroMap (http://metromap.antex.ru)
 XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=340
+XB-Maemo-Display-Name: MetroMap
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAACXBIWXMAAC4jAAAuIwF4pT92
  AAABJ2lDQ1BQaG90b3Nob3AgSUNDIHByb2ZpbGUAAHjarY69SsNQHEfPLUj9gOAQXXS4ooMO

## metromap-fremantle 0.1.3c-1

=== debian/changelog ===
metromap-fremantle (0.1.3c-1) unstable; urgency=low

  * Fixed bugs:
        [5842]	Debian scripts are fixed to store maps are stored now at /home/user/MyDocs/MetroMap

 -- Nikita Nalyutin <nnalutin@gmail.com>  Sun,  30 May 2010 20:44:15 +0400

=== debian/rules ===
--- 
+++ 
@@ -39,30 +39,42 @@
 	# ======================================================
 	
 	mkdir -p "$(CURDIR)/debian/metromap-fremantle/"
+
 	mkdir -p "$(CURDIR)/debian/metromap-fremantle/opt/metromap/"
 	cp -a "src/metromap.py" "$(CURDIR)/debian/metromap-fremantle/opt/metromap/"
+
 	mkdir -p "$(CURDIR)/debian/metromap-fremantle/opt/metromap/modules/"
 	cp -a "src/modules/FindPath.py" "$(CURDIR)/debian/metromap-fremantle/opt/metromap/modules/"
 	cp -a "src/modules/Interface.py" "$(CURDIR)/debian/metromap-fremantle/opt/metromap/modules/"
 	cp -a "src/modules/MapDisplay.py" "$(CURDIR)/debian/metromap-fremantle/opt/metromap/modules/"
 	cp -a "src/modules/ReadMap.py" "$(CURDIR)/debian/metromap-fremantle/opt/metromap/modules/"
+
 	mkdir -p "$(CURDIR)/debian/metromap-fremantle/opt/metromap/locale/"
 	cp -a "src/locale/metromap.pot" "$(CURDIR)/debian/metromap-fremantle/opt/metromap/locale/"
 	cp -a "src/locale/pygettext.py" "$(CURDIR)/debian/metromap-fremantle/opt/metromap/locale/"
+
 	mkdir -p "$(CURDIR)/debian/metromap-fremantle/opt/metromap/data/"
-	cp -a "src/data/Moscow/" "$(CURDIR)/debian/metromap-fremantle/opt/metromap/data/"
-	cp -a "src/data/Peterburg/" "$(CURDIR)/debian/metromap-fremantle/opt/metromap/data/"
-	cp -a "src/data/Kiev/" "$(CURDIR)/debian/metromap-fremantle/opt/metromap/data/"
-	cp -a "src/data/London/" "$(CURDIR)/debian/metromap-fremantle/opt/metromap/data/"
-	cp -a "src/data/Berlin/" "$(CURDIR)/debian/metromap-fremantle/opt/metromap/data/"
+	cp -a --no-preserve=all "src/data/Berlin.pmz" "$(CURDIR)/debian/metromap-fremantle/opt/metromap/data/"
+	cp -a --no-preserve=all "src/data/Kiev.pmz" "$(CURDIR)/debian/metromap-fremantle/opt/metromap/data/"
+	cp -a --no-preserve=all "src/data/London.pmz" "$(CURDIR)/debian/metromap-fremantle/opt/metromap/data/"
+	cp -a --no-preserve=all "src/data/Moscow.pmz" "$(CURDIR)/debian/metromap-fremantle/opt/metromap/data/"
+	cp -a --no-preserve=all "src/data/New-York.pmz" "$(CURDIR)/debian/metromap-fremantle/opt/metromap/data/"
+	cp -a --no-preserve=all "src/data/Paris.pmz" "$(CURDIR)/debian/metromap-fremantle/opt/metromap/data/"
+	cp -a --no-preserve=all "src/data/Peterburg.pmz" "$(CURDIR)/debian/metromap-fremantle/opt/metromap/data/"
+
 	mkdir -p "$(CURDIR)/debian/metromap-fremantle/usr/share/icons/hicolor/26x26/hildon/"
 	cp -a "src/hildon/hicolor/26x26/hildon/metromap.png" "$(CURDIR)/debian/metromap-fremantle/usr/share/icons/hicolor/26x26/hildon/"
+
 	mkdir -p "$(CURDIR)/debian/metromap-fremantle/usr/share/icons/hicolor/40x40/hildon/"
 	cp -a "src/hildon/hicolor/40x40/hildon/metromap.png" "$(CURDIR)/debian/metromap-fremantle/usr/share/icons/hicolor/40x40/hildon/"
+
 	mkdir -p "$(CURDIR)/debian/metromap-fremantle/usr/share/icons/hicolor/scalable/hildon/"
 	cp -a "src/hildon/hicolor/scalable/hildon/metromap.png" "$(CURDIR)/debian/metromap-fremantle/usr/share/icons/hicolor/scalable/hildon/"
+
 	mkdir -p "$(CURDIR)/debian/metromap-fremantle/usr/share/applications/hildon/"
 	cp -a "src/hildon/metromap.desktop" "$(CURDIR)/debian/metromap-fremantle/usr/share/applications/hildon/"
+
+	mkdir -p "$(CURDIR)/debian/metromap-fremantle/opt/metromap/data/"
 	cp -a "src/hildon/fullscr.png" "$(CURDIR)/debian/metromap-fremantle/opt/metromap/data/"
 	cp -a "src/hildon/unfullscr.png" "$(CURDIR)/debian/metromap-fremantle/opt/metromap/data/"
     # ======================================================

## metromap-fremantle 0.1.3d-1

=== debian/changelog ===
metromap-fremantle (0.1.3d-1) unstable; urgency=low

  * Added features:
        [5898]	Added support for internationalization. Added ru and en localizations

 -- Nikita Nalyutin <nnalutin@gmail.com>  Tue, 08 Jun 2010 23:51:12 +0400

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  NB! First map load is slow, all subsequent loads are much faster
  The following maps are included: Moscow, St. Petersburg, Kiev, London, Berlin, Paris, New York
  More than 100 additional maps in pMetro format may be downloaded 
- from http://pmetro.su/Maps.html and stored to /opt/metromap/data
+ from http://pmetro.su/Maps.html and stored to /home/user/MyDocs/MetroMap (N900/MetroMap from File Manager)
  MetroMap-fremantle is based on PC version of MetroMap (http://metromap.antex.ru)
 XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=340
 XB-Maemo-Display-Name: MetroMap

## metromap-fremantle 0.1.3e-1

=== debian/changelog ===
metromap-fremantle (0.1.3e-1) unstable; urgency=low

  * New features:
        [5903]  Spanish translation from CepiPerez included
        
  * Fixed bugs:
        [5904]	Fixed bug with custom maps erasing from /home/user/MyDocs/MetroMap
                on uninstallation/upgrade. Due to the nature of the bug, upgrade
                from 0.1.3d to 0.1.3e STILL ERASES custom maps, all subsequent 
                upgrades from 0.1.3e will keep maps in place

 -- Nikita Nalyutin <nnalutin@gmail.com>  Tue, 08 Jun 2010 23:51:12 +0400
 
 metromap-fremantle (0.1.3d-1) unstable; urgency=low

  * Added features:
        [5898]	Added support for internationalization. Added ru and en localizations

 -- Nikita Nalyutin <nnalutin@gmail.com>  Tue, 08 Jun 2010 23:51:12 +0400

=== debian/rules ===
--- 
+++ 
@@ -50,8 +50,11 @@
 	cp -a "src/modules/ReadMap.py" "$(CURDIR)/debian/metromap-fremantle/opt/metromap/modules/"
 
 	mkdir -p "$(CURDIR)/debian/metromap-fremantle/opt/metromap/locale/"
-	cp -a "src/locale/metromap.pot" "$(CURDIR)/debian/metromap-fremantle/opt/metromap/locale/"
-	cp -a "src/locale/pygettext.py" "$(CURDIR)/debian/metromap-fremantle/opt/metromap/locale/"
+
+	mkdir -p "$(CURDIR)/debian/metromap-fremantle/opt/metromap/locale/ru/LC_MESSAGES"
+	cp -a "src/locale/ru/LC_MESSAGES/messages.mo" "$(CURDIR)/debian/metromap-fremantle/opt/metromap/locale/ru/LC_MESSAGES/"
+	cp -a "src/locale/ru/LC_MESSAGES/metromap.mo" "$(CURDIR)/debian/metromap-fremantle/opt/metromap/locale/ru/LC_MESSAGES/"
+	cp -a "src/locale/ru/LC_MESSAGES/metromap.pot" "$(CURDIR)/debian/metromap-fremantle/opt/metromap/locale/ru/LC_MESSAGES/"
 
 	mkdir -p "$(CURDIR)/debian/metromap-fremantle/opt/metromap/data/"
 	cp -a --no-preserve=all "src/data/Berlin.pmz" "$(CURDIR)/debian/metromap-fremantle/opt/metromap/data/"

## metromap-fremantle 0.1.3-1

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,13 @@
 Package: metromap-fremantle
 Architecture: all
 Depends: python2.5 (>= 2.5.1-1osso5), python2.5-osso, python-hildon
-Replaces: metromap
 Description: MetroMap displays and calculates best routes in metro of different cities 
  MetroMap-fremantle displays and calculates best routes in metro of more than 100 cities
  over the world.
  NB! First map load is slow, all subsequent loads are much faster
  The following maps are included: Moscow, St. Petersburg, Kiev, London, Berlin, Paris, New York
  More than 100 additional maps in pMetro format may be downloaded 
- from http://pmetro.su/Maps.html and stored to /home/user/MyDocs/MetroMap (N900/MetroMap from File Manager)
+ from http://pmetro.su/Maps.html and stored to /opt/metromap/data
  MetroMap-fremantle is based on PC version of MetroMap (http://metromap.antex.ru)
 XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=340
 XB-Maemo-Display-Name: MetroMap

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	
	# ======================================================
	
	mkdir -p "$(CURDIR)/debian/metromap-fremantle/"
	mkdir -p "$(CURDIR)/debian/metromap-fremantle/opt/metromap/"
	cp -a "src/metromap.py" "$(CURDIR)/debian/metromap-fremantle/opt/metromap/"
	mkdir -p "$(CURDIR)/debian/metromap-fremantle/opt/metromap/modules/"
	cp -a "src/modules/FindPath.py" "$(CURDIR)/debian/metromap-fremantle/opt/metromap/modules/"
	cp -a "src/modules/Interface.py" "$(CURDIR)/debian/metromap-fremantle/opt/metromap/modules/"
	cp -a "src/modules/MapDisplay.py" "$(CURDIR)/debian/metromap-fremantle/opt/metromap/modules/"
	cp -a "src/modules/ReadMap.py" "$(CURDIR)/debian/metromap-fremantle/opt/metromap/modules/"
	mkdir -p "$(CURDIR)/debian/metromap-fremantle/opt/metromap/locale/"
	cp -a "src/locale/metromap.pot" "$(CURDIR)/debian/metromap-fremantle/opt/metromap/locale/"
	cp -a "src/locale/pygettext.py" "$(CURDIR)/debian/metromap-fremantle/opt/metromap/locale/"
	mkdir -p "$(CURDIR)/debian/metromap-fremantle/opt/metromap/data/"
	cp -a "src/data/Berlin.pmz" "$(CURDIR)/debian/metromap-fremantle/opt/metromap/data/"
	cp -a "src/data/Kiev.pmz" "$(CURDIR)/debian/metromap-fremantle/opt/metromap/data/"
	cp -a "src/data/London.pmz" "$(CURDIR)/debian/metromap-fremantle/opt/metromap/data/"
	cp -a "src/data/Moscow.pmz" "$(CURDIR)/debian/metromap-fremantle/opt/metromap/data/"
	cp -a "src/data/New-York.pmz" "$(CURDIR)/debian/metromap-fremantle/opt/metromap/data/"
	cp -a "src/data/Paris.pmz" "$(CURDIR)/debian/metromap-fremantle/opt/metromap/data/"
	cp -a "src/data/Peterburg.pmz" "$(CURDIR)/debian/metromap-fremantle/opt/metromap/data/"
	mkdir -p "$(CURDIR)/debian/metromap-fremantle/usr/share/icons/hicolor/26x26/hildon/"
	cp -a "src/hildon/hicolor/26x26/hildon/metromap.png" "$(CURDIR)/debian/metromap-fremantle/usr/share/icons/hicolor/26x26/hildon/"
	mkdir -p "$(CURDIR)/debian/metromap-fremantle/usr/share/icons/hicolor/40x40/hildon/"
	cp -a "src/hildon/hicolor/40x40/hildon/metromap.png" "$(CURDIR)/debian/metromap-fremantle/usr/share/icons/hicolor/40x40/hildon/"
	mkdir -p "$(CURDIR)/debian/metromap-fremantle/usr/share/icons/hicolor/scalable/hildon/"
	cp -a "src/hildon/hicolor/scalable/hildon/metromap.png" "$(CURDIR)/debian/metromap-fremantle/usr/share/icons/hicolor/scalable/hildon/"
	mkdir -p "$(CURDIR)/debian/metromap-fremantle/usr/share/applications/hildon/"
	cp -a "src/hildon/metromap.desktop" "$(CURDIR)/debian/metromap-fremantle/usr/share/applications/hildon/"
	cp -a "src/hildon/fullscr.png" "$(CURDIR)/debian/metromap-fremantle/opt/metromap/data/"
	cp -a "src/hildon/unfullscr.png" "$(CURDIR)/debian/metromap-fremantle/opt/metromap/data/"
    # ======================================================

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
